/*
 * Copyright(C) 2003  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 *
 * \brief RevAnnContentInfo
 */

#ifndef CA_CMP_REV_H
#define CA_CMP_REV_H

#include "CA_CMP_Types.h"

/**************************************************************/
/*                                                            */
/*  Internal structure                                        */
/*                                                            */
/**************************************************************/

struct RevAnnContentInfo : public PKIXCMP_Message
{
public:
    RevAnnContentInfo();

    //    
    CACMPT_SERIAL SerialNumber;

    // RDN  .
    CACMPT_PARSED_RDN subjectRDN;

    //  .
    CACMPT_Date willBeRevokedAt;

    // 
    PKIStatusEnum PKIStatus;

    //   .
    //    ,    
    CACMPT_Date badSinceDate;
};

#endif /* CA_CMP_REV_H */
