/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief   .
 */

#include "fat12prj.h"

/*!
 * \ingroup fat12_fun_reader
 * \brief   .
 * \param context [in]  . 
 * \param info [in/out]  #TReaderInfoFolderClose
 * \sa TReaderInfoFolderClose, READER_FUN_FOLDER_CLOSE, 
 *  TSupSysFunction, fat12_folder_open, #rdr_folder_open, #rdr_folder_close
 */
TSupErr fat12_folder_close( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TFat12Context *ctx = (TFat12Context*)context;

    SUPSYS_PRE_CONTEXT( context, TFat12Context );
    SUPSYS_PRE_INFO( info, TReaderInfoFolderClose );

    if( ctx->folder )
    {
	free( ctx->folder );
	ctx->folder = NULL;
    }
    return SUP_ERR_NO;
}
/* end of file: $Id: f12dcl.c 126987 2015-09-08 13:51:58Z pav $ */
