/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief    .
 */

#if !defined( _RNDM_RNDM_SYS_H )
#define _RNDM_RNDM_SYS_H

#include "reader.kit/sup_sys.h"
#include "reader/rndm.h" 

#define RANDOM_FUN_TYPE 0x100
#define RANDOM_FUN_RNDM 0x2100
#define RANDOM_FUN_HWND 0x2101

typedef struct TRandomInfoType_
{
    size_t size_of;
    TRndmType type;
} TRandomInfoType;

typedef struct TRandomInfoRndm_
{
    size_t size_of;
    TSupSysInfoUntyped info;
} TRandomInfoRndm;

#if defined( _WIN32 )
typedef struct TRandomInfoParentHwnd_
{
    size_t size_of;
    HWND hwnd;
} TRandomInfoParentHwnd;
#endif

#endif /* !defined( _RNDM_RNDM_SYS_H ) */
