/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief   .
 */

#include "ric_prj.h"

/*!
 * \brief   .
 */
TSupErr trust_context_dup( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TSupSysInfoContextDup *inf = (TSupSysInfoContextDup*)info;
    TRICContext *dest;
    TRICContext *src = (TRICContext*)context;

    SUPSYS_PRE_INFO( info, TSupSysInfoContextDup );
    SUPSYS_PRE_CONTEXT( context, TRICContext );

    inf->size_of = sizeof( TSupSysInfoContextDup );
    dest = malloc( sizeof( TRICContext ) );
    if( dest == NULL )
	return SUP_ERR_MEMORY;
    dest->reader = NULL;
    dest->apdu = NULL;
    dest->status = RIC_STATUS_START;
    dest->file = 0;
    dest->file_length = 0;
    dest->connect = 0;
    dest->unique_length = src->unique_length;
    dest->unique_form = src->unique_form;
    dest->change_pin = src->change_pin;
    dest->block_len_read = src->block_len_read;
    dest->block_len_write = src->block_len_write;
    dest->class_tag = src->class_tag;
    dest->application = src->application;
    //TODO: dest->folder == dest->application; dest->folder = NULL
    memset( dest->pin, 0, 8 );
    memset( dest->unique, 0, 4 );
    inf->dest_context = (TSupSysEContext*)dest;
    return SUP_ERR_NO;
}
/* end of file: $Id: mag_dup.c 126987 2015-09-08 13:51:58Z pav $ */
