/*
 * Copyright(C) 2008  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief   ( Trust)
 */

#include "ric_prj.h"

TSupErr trust_register( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TRICContext *ctx;
    TSupSysInfoRegister *inf = (TSupSysInfoRegister*)info;
    SUPSYS_PRE_INFO( info, TSupSysInfoRegister );

    UNUSED( context );
    ctx = malloc( sizeof( TRICContext ) );
    if( ctx == NULL )
	return SUP_ERR_MEMORY;
    ctx->apdu = NULL;
    ctx->reader = NULL;
    ctx->status = RIC_STATUS_START;
    ctx->file = 0;
    ctx->file_length = 0;
    ctx->connect = 0;
    ctx->unique_length = TRUST_UNIQUE_LENGTH;
    ctx->unique_form = trust_unique_form;
    ctx->change_pin = trust_change_pin;
    ctx->block_len_read = TRUST_BLOCK_READ;
    ctx->block_len_write = TRUST_BLOCK_WRITE;
    ctx->class_tag = 0xf;
    ctx->application = 0x100;
    memset( ctx->pin, 0, 8 );
    memset( ctx->unique, 0, 4 );
    inf->context = ctx;
    /*TODO: ???? -  support_load_library() ????*/
    support_load_library();
    return SUP_ERR_NO;
}
/* end of file: $Id: mag_reg.c 126987 2015-09-08 13:51:58Z pav $ */
