/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief   .
 */

#include "ric_prj.h"

/*!
 * \brief   .
 */
TSupErr ric_context_free( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TSupSysInfoContextFree *inf = (TSupSysInfoContextFree*)info;
    TRICContext *ctx = (TRICContext*)context; 

    if( context == NULL )
	return SUP_ERR_NO;
    SUPSYS_PRE_INFO( info, TSupSysInfoContextFree );
    SUPSYS_PRE_CONTEXT( context, TRICContext );
    free( ctx );
    inf->size_of = sizeof( TSupSysInfoContextFree );
    return SUP_ERR_NO;
}
/* end of file: $Id: ric_free.c 126987 2015-09-08 13:51:58Z pav $ */
