/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief Precompile header.
 */

#if !defined( _READER_RIC_RIC_PRJ_H )
#define _READER_RIC_RIC_PRJ_H

#include "reader.kit/gen_prj.h"

#if defined( _USRDLL )
#define _RIC_DECL _STDEXP_DECL
#define _OSCAR_DECL _STDEXP_DECL
#define _TRUST_DECL _STDEXP_DECL
#endif /* defined( _USRDLL ) */

/* Project (READER/SUPPORT). */
#include "reader/sup_syse.h"

/* Project (READER/RDR). */
#include "reader/rdr.h"
#include "reader.kit/reader.h" 

/* Project (READER/SCARD) */
#include "reader.kit/scard.h"

#include "reader/ric.h"
#include "reader/oscar.h"
#include "reader/trust.h"
#include "ric_int.h"

#if defined _WIN32
#include "reader.kit/supwsys.h"
#else
#include "ric_rc.h"
#endif /* _WIN32 */

#endif /* !defined( _READER_RIC_RIC_PRJ_H ) */
/* end of file:$Id: ric_prj.h 126987 2015-09-08 13:51:58Z pav $ */
