/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief     
 */

#include "ric_prj.h"

/*! 
 * \ingroup ric_fun
 * \brief     
 */
TSupErr ric_same_media(
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TReaderInfoSameMedia *inf = (TReaderInfoSameMedia*)info;
    TRICContext *ctx = (TRICContext*)context;
    TSupErr code;
    unsigned char unique[4];
    TCHAR str_unique[MAX_UNIQUE_LENGTH + 1];
    TCHAR *buffer;

    SUPSYS_PRE_INFO( info, TReaderInfoSameMedia );
    SUPSYS_PRE_CCONTEXT( ctx, TRICContext );

    code = ric_unique_num( ctx, unique );
    if( code )
	return code;
    if( !memcmp( ctx->unique, unique, 4 ) )
	return SUP_ERR_NO;
    inf->size_of = sizeof( TReaderInfoSameMedia );
    if( inf->unique.text == NULL || inf->unique.length == 0 )
    {
	inf->unique.length = ctx->unique_length;
	return RDR_ERR_ANOTHER_MEDIA;
    }
    ctx->unique_form( unique, str_unique );
    buffer = inf->unique.text;
    _tcsncpy( buffer, str_unique, inf->unique.length );
    buffer[inf->unique.length] = 0;
    return RDR_ERR_ANOTHER_MEDIA;
}
/* end of file: $Id: ric_same.c 126987 2015-09-08 13:51:58Z pav $ */
