/*
 * Copyright(C) 2007  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief     .
 */

#include "fat12prj.h"

TSupErr fat12_info_name( 
    TSupSysContext *context, TSupSysInfo *info )
{
    TSupSysInfoItemName *inf = (TSupSysInfoItemName*)info;
    TFat12Context *ctx = (TFat12Context*)context;
#ifndef UNDER_CE
    TSupErr code;
    size_t res_len;
#endif
    SUPSYS_PRE_INFO( info, TSupSysInfoItemName );
    SUPSYS_PRE_CCONTEXT( context, TFat12Context );
    if( inf->name.length )
	SUPSYS_PRE_WRITE_PTRS( inf->name.text,
	( inf->name.length + 1 ) * sizeof( TCHAR ) );

#ifdef UNDER_CE
    if( inf->name.length )
    {
	// TODO: improve
	_tcsncpy( inf->name.text, ctx->nickname + 6, inf->name.length );
	inf->name.text[inf->name.length] = 0;
    }
    inf->name.length = _tcslen( ctx->nickname );
#else /* UNDER_CE */
    res_len = inf->name.length;
    code = support_resource_string(
	FAT12_RESOURCE, IDS_FAT12_NAME, inf->name.text, &res_len );
    if( code )
	return code;

    if( inf->name.length )
    {
	if( inf->name.length > res_len )
	    inf->name.text[res_len] = _TEXT(' ');
	if( inf->name.length > res_len + 1)
 	    _tcsncpy( inf->name.text + res_len + 1, ctx->connect, inf->name.length - res_len - 1);
	inf->name.text[inf->name.length] = 0;
    }
    inf->name.length = res_len + 1 + _tcslen(ctx->connect);
#endif /* UNDER_CE */

    inf->size_of = sizeof( TSupSysInfoNickname );
    return SUP_ERR_NO;
}
