/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*
 *         .
 *       ,   .
 */

#include <tchar.h>
#include <stdlib.h>

#if !defined( _READER_TEST_TST_RDRFKC_H )
#define _READER_TEST_TST_RDRFKC_H

#include "reader/rdr_fkc.h"
#include "reader.kit/test/tst_rdr.h"

#if defined( __cplusplus )
extern "C" {
#endif /* defined( __cplusplus ) */

_READER_TEST_DECL TSupErr reader_test_fkc_folder_open(TSupSysEContext *context,const TCHAR *folder, BOOL enableDH);

_READER_TEST_DECL TSupErr reader_test_fkc_folder_create(TSupSysEContext *context,const TCHAR *folder,DWORD oid,BOOL enableDH);

_READER_TEST_DECL TSupErr reader_test_fkc_get_param(TSupSysEContext *context, BOOL *abletoset);
_READER_TEST_DECL TSupErr reader_test_fkc_get_param_password(TSupSysEContext *context, BOOL *need, TCHAR *dst);

_READER_TEST_DECL TSupErr reader_test_fkc_set_param(TSupSysEContext *context, TCHAR *newPass);

_READER_TEST_DECL TSupErr reader_test_fkc_set_fname(TSupSysEContext *context, TCHAR * newname);

_READER_TEST_DECL TSupErr reader_test_fkc_gen_key(TSupSysEContext *context, TCHAR * pin, BYTE * ElP, BYTE * qs);

_READER_TEST_DECL TSupErr reader_test_fkc_set_key(TSupSysEContext *context, TCHAR * pin, BYTE * ElP, 
				BYTE *qs, const BYTE *d, LPBYTE syncro);

_READER_TEST_DECL TSupErr reader_test_fkc_auth_challenge_first(TSupSysEContext *context, 
					     TRdrLoginInfoType type, 
					     TRdrFkcEKEChallenge_id id, 
					     BYTE * u1, BYTE *u2, TRdrFkcTrID ident, TRdrFkcTrNewID newID);

_READER_TEST_DECL TSupErr reader_test_fkc_auth_challenge_second(TSupSysEContext *context, 
					     TRdrLoginInfoType type, 
					     TRdrFkcEKEChallenge_id id, 
					     DWORD *sync,
					     BYTE * u3, TRdrFkcTrID ident);

_READER_TEST_DECL TSupErr reader_test_fkc_auth_change_first(TSupSysEContext *context, 
					     TRdrLoginInfoType type, 
					     TRdrFkcEKEChallenge_id id, 
					     BYTE * u1, BYTE *u2, TRdrFkcTrID ident, TRdrFkcTrNewID newID);

_READER_TEST_DECL TSupErr reader_test_fkc_auth_change_second(TSupSysEContext *context, 
					     TRdrLoginInfoType type, 
					     TRdrFkcEKEChallenge_id id, 
					     DWORD *sync,
					     BYTE * u3, TRdrFkcTrID ident);

_READER_TEST_DECL TSupErr reader_test_fkc_auth_change_commit(TSupSysEContext *context, 
					     TRdrLoginInfoType type, 
					     TRdrFkcEKEChallenge_id id,
					     BYTE * Qs, TRdrFkcTrID ident, TRdrFkcCommitMask mask);


_READER_TEST_DECL TSupErr reader_test_fkc_signature1(TSupSysEContext *context, BYTE * hash, BYTE * param, TRdrFkcTrID ident);

_READER_TEST_DECL TSupErr reader_test_fkc_signature2(TSupSysEContext *context, BYTE * inp, BYTE * outp, TRdrFkcTrID ident);

_READER_TEST_DECL TSupErr reader_test_fkc_agreement(TSupSysEContext *context, BYTE * qA, BYTE * K2, TRdrFkcTrID ident);

_READER_TEST_DECL TSupErr reader_test_HEADER_GET( 
    TSupSysEContext *context, 
    BYTE controlvec [8]);

_READER_TEST_DECL TSupErr reader_test_HEADER_WRITE( 
    TSupSysEContext *context, 
    BYTE controlvec [8],
    size_t length );

_READER_TEST_DECL TSupErr reader_test_DEF_WRITE( 
    TSupSysEContext *context, 
    BYTE arrayname [128]);

_READER_TEST_DECL TSupErr reader_test_DEF_READ( 
    TSupSysEContext *context, 
    BYTE arrayname [128]);

#if defined( __cplusplus )
}
#endif /* defined( __cplusplus ) */

#endif /* !defined( _READER_TEST_TST_RDRFKC_H ) */
/*+ end of file: $Id: tst_rdrfkc.h 62906 2010-07-06 05:13:09Z spv $ +*/
