/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief    .
 */

#include "ric_prj.h"

/*! 
 * \ingroup ric_fun_general
 * \brief    .
 * \param context [in]  .  .
 * \param info [in/out]  #TReaderInfoPasswdInfo
 * \sa #TReaderInfoPasswdType, #READER_FUN_PASSWD_TYPE, 
 *  #TSupSysFunction, #TReaderInfoPasswdInfo, #READER_FUN_PASSWD_LENGTH
 */
TSupErr ric_passwd_length(
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TReaderInfoPasswdInfo *inf = (TReaderInfoPasswdInfo*)info;

    SUPSYS_PRE_INFO( info, TReaderInfoPasswdInfo );
    SUPSYS_PRE( inf->type == RDR_LOGIN_INFO_PASSWD )

    UNUSED( context );
    inf->size_of = sizeof( TReaderInfoPasswdInfo );
    inf->max_length = 8;
    inf->min_length = 0;
    return SUP_ERR_NO;
}
/* end of file:$Id: ric_plen.c 126987 2015-09-08 13:51:58Z pav $ */
