<?xml version="1.0" encoding="windows-1251"?>
<!-- vim:set sts=2 shiftwidth=2: -->
<!--
   - Copyright(C) 2003  "-"
   -
   -    , 
   -    .
   -
   -        ,
   - ,    ,
   -     ,
   - ,      
   -     
   -      .
   -
   -
   - \file $RCSfile$
   - \version $Revision: 126987 $
   - \date $Date:: 2015-09-08 17:51:58 +0400#$
   - \author  .. ( : $Author: pav $)
   -
   - \brief     /  
   -         PKIX   Postscript / PDF
   -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:msxsl="urn:schemas-microsoft-com:xslt"
		xmlns:cp="localhost"
		xmlns:fo="http://www.w3.org/1999/XSL/Format"
		version='1.0'>
<!--xsl:output encoding="windows-1251"/-->

<xsl:include href="variables.xsl"/>
<xsl:variable name="local_file" select="concat('../data/local/',$lang,'/local.xml')"/>
<xsl:variable name="OID_file" select="concat('../data/OID/',$lang,'/OID.xml')"/>
<xsl:variable name="short_OID_file" select="concat('../data/OID/',$lang,'/short_OID.xml')"/>
<xsl:variable name="pers_file" select="concat('../data/pers/',$lang,'/pers.xml')"/>
<xsl:variable name="reestr_file" select="concat('../data/reestr/',$lang,'/reestr.xml')"/>

<!--   -->

<xsl:include href="xmlfunc.xsl"/>                        
<xsl:include href="top.xsl"/>                        
<xsl:include href="API.xsl"/>
<xsl:include href="common.xsl"/>
<xsl:include href="extensions.xsl"/>
<xsl:include href="attributes.xsl"/>
<xsl:include href="templ_stamp.xsl"/>
<xsl:include href="Certificate.xsl"/>
<xsl:include href="CertificateList.xsl"/>
<xsl:include href="CertificationRequest.xsl"/>
<xsl:include href="PKCS7.xsl"/>
<xsl:include href="TimeStampReq.xsl"/>
<xsl:include href="PKIMessage.xsl"/>
<xsl:include href="TimeStampResp.xsl"/>
<xsl:include href="OCSPRequest.xsl"/>
<xsl:include href="OCSPResponse.xsl"/>
<xsl:include href="DVCSRequest.xsl"/>
<xsl:include href="DVCSResponse.xsl"/>
<xsl:include href="TimeStampAuthenticodeRequest.xsl"/>
<xsl:include href="ReestrEntities.xsl"/>

</xsl:stylesheet>
